.stack_sort_area section:has(.ss-badge-container.open) {
    position: relative;
    z-index: 1000;
}

.ss-badge-container {
    position: absolute;
    right: 10px;
    top: 6px;
    z-index: 100;
    margin-right: calc(-1 * (100vw - 100%) / 2);
    border-radius: 0;
    overflow: hidden;
    width: 48px;
    height: 48px;
    border-radius: 40px;
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    transition-property: width, height;
    transition-duration: 0.5s, 0.5s;
    transition-timing-function: ease;
    animation: ss-badge-entrance 0.6s cubic-bezier(0.23, 1, 0.32, 1) 1s both;
}

.ss-badge-container.open {
    border-radius: 0;
    width: 191px;
    padding-right: 3px;
    border-width: 0;
}

.ss-badge-container.open.one {
    height: 165px;
}

.ss-badge-container.open.two {
    height: 325px;
}

.ss-badge-container.open .ss-badge-container-inner {
    margin: 0;
}

.ss-badge-container-inner {
    border: 4px solid transparent;
    position: relative;
    margin-top: -23px;
    margin-right: -23px;
    transition: margin 0.5s ease;
}

.ss-badge-container.open .ss-badge-container-inner::before {
    outline-width: 0;
    width: 158px;
    height: 158px;
    right: 1px;
    top: 1px;
}

.ss-badge-container.open.opened {
    overflow: visible;
}

.ss-badge-container.open.opened .ss-badge-container-inner::before {
    z-index: -1;
}

.ss-badge-container-inner::before {
    display: block;
    width: 40px;
    height: 40px;
    outline: 4px solid #fff;
    position: absolute;
    right: 23px;
    top: 23px;
    content: '';
    border-radius: 100%;
    z-index: 1;
    transition: all 0.7s ease;
}

.ss-badge-close {
    width: 24px;
    height: 24px;
    border-radius: 4px 0 0 4px;
    background-color: rgba(0, 0, 0, 0.5);
    color: #fff;
    position: absolute;
    left: 0;
    top: 10px;
    border: 0;
    transition: left 0.2s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}

.ss-badge-container.open .ss-badge-close {
    left: 74px;
}

.ss-badge-container.open.opened .ss-badge-close {
    left: 0;
}

.ss-badge-close i {
    transition: transform 0.3s ease;
    display: block;
}

.ss-badge-close:hover i,
.ss-badge-close:focus i {
    transform: rotate(90deg);
}

.ss-badge {
    background-color: #fff;
    width: 160px;
    height: 160px;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    filter: drop-shadow(0 2px 2px rgba(0, 0, 0, 0.1));
    margin-bottom: 1px;
    border-radius: 4px;
    overflow: hidden;
    transition: filter 0.3s ease;
}

.ss-badge:hover,
.ss-badge:focus {
    filter: drop-shadow(0 2px 2px rgba(0, 0, 0, 0.4));
}

.ss-badge-img {
    max-width: 100%;
    height: auto;
    transition: transform 0.3s ease;
}

.ss-badge:first-child .ss-badge-img {
    transition-property: transform, clip-path, margin;
    transition-duration: 0.5s;
    transition-timing-function: ease;
    margin-top: -3px;
    margin-right: -4px;
    clip-path: circle(21px at 110px 40px);
}

.ss-badge-container.open .ss-badge:first-child .ss-badge-img {
    clip-path: circle(75px);
    margin-top: 0;
    margin-right: 0;
}

.ss-badge:hover .ss-badge-img,
.ss-badge:focus .ss-badge-img {
    transform: scale(0.95);
}

.ss-badge-container.open .ss-badge-open {
    display: none;
}

.ss-badge-open {
    opacity: 0;
    width: 40px;
    height: 40px;
    position: absolute;
    right: 23px;
    top: 23px;
    z-index: 1;
}

@keyframes ss-badge-entrance {
    0% {
        transform: translate(1000px, -1000px) skew(-80deg, -10deg);
        opacity: 0;
        filter: blur(40px);
        transform-origin: 0% 0%;
    }
    100% {
        transform: translate(0, 0) skew(0deg, 0deg);
        opacity: 1;
        filter: blur(0);
        transform-origin: 50% 50%;
    }
}
